Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 275954 - net-misc/mdidentd-1.04c fails to build with sys-libs/glibc-2.10.1
Summary: net-misc/mdidentd-1.04c fails to build with sys-libs/glibc-2.10.1
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-2.10
  Show dependency tree
 
Reported: 2009-06-30 14:34 UTC by Joost Ruis
Modified: 2009-08-08 19:06 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joost Ruis 2009-06-30 14:34:54 UTC
>>> Compiling source in /var/tmp/portage/net-misc/mdidentd-1.04c/work/ezbounce-1.04c ...
./configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sys
4 --with-ssl
creating cache ./config.cache
checking for gcc... gcc
checking whether the C compiler (gcc -O2 -march=x86-64 -pipe -Wl,-O1) works... yes
checking whether the C compiler (gcc -O2 -march=x86-64 -pipe -Wl,-O1) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
checking for c++... c++
checking whether the C++ compiler (c++ -O2 -march=x86-64 -pipe -Wl,-O1) works... yes
checking whether the C++ compiler (c++ -O2 -march=x86-64 -pipe -Wl,-O1) is a cross-compiler... no
checking whether we are using GNU C++... yes
checking whether c++ accepts -g... yes
checking whether the C++ compiler (c++) accepts -fomit-frame-pointer... yes
checking whether the C++ compiler (c++) supports exception handling... yes
checking whether the C++ compiler (c++) accepts -fno-exceptions... yes
checking whether the C++ compiler (c++) accepts -fno-rtti... yes
checking whether the C++ compiler (c++) has the new(nothrow) operator... yes
checking whether the C++ compiler (c++) supports the bool data type... yes
checking how to run the C++ preprocessor... c++ -E
checking for new... yes
checking for unistd.h... yes
checking for stdarg.h... yes
checking for sys/time.h... yes
checking for sys/ioctl.h... yes
checking for sys/select.h... yes
checking for sys/filio.h... no
checking for asm/ioctls.h... yes
checking for fcntl.h... yes
checking for pwd.h... yes
checking for money in your wallet... all gone
checking for working const... no
checking for socklen_t... yes
checking for getrusage... yes
checking for strcasecmp... yes
checking for vsnprintf... yes
checking for snprintf... yes
checking for debug build... no
checking for gethostbyname... yes
checking for socket... yes
checking for select in -lcposix... no
checking for requested i/o multiplexing function... poll
checking for poll... yes
checking for sys/poll.h... yes
checking for poll.h... yes
checking whether to include SSL support... yes
checking for SSL_accept in -lssl... yes
updating cache ./config.cache
creating ./config.status
creating Makefile
creating src/Makefile
creating lib/Makefile
creating mdidentd/Makefile
creating src/autoconf.h
creating lib/autoconf.h
creating mdidentd/autoconf.h

Configuration complete


Type make to build all components of ezbounce and mdidentd

make -s -j3 -C mdidentd 'CXX_OPTIMIZATIONS=-O2 -march=x86-64 -pipe'
ilist.cpp: In member function 'int ilist::read_from(int)':
ilist.cpp:110: warning: ignoring return value of 'ssize_t write(int, const void*, size_t)', declared with attribute warn_unused_result
ilist.cpp:117: warning: ignoring return value of 'ssize_t write(int, const void*, size_t)', declared with attribute warn_unused_result
ilist.cpp:122: warning: ignoring return value of 'ssize_t write(int, const void*, size_t)', declared with attribute warn_unused_result
ilist.cpp:127: warning: ignoring return value of 'ssize_t write(int, const void*, size_t)', declared with attribute warn_unused_result
ilist.cpp:132: warning: ignoring return value of 'ssize_t write(int, const void*, size_t)', declared with attribute warn_unused_result
identd.cpp: In function 'int start_server(time_t)':
identd.cpp:500: warning: ignoring return value of 'int chown(const char*, __uid_t, __gid_t)', declared with attribute warn_unused_result
identd.cpp: In function 'int daemon(bool)':
identd.cpp:705: warning: ignoring return value of 'int chroot(const char*)', declared with attribute warn_unused_result
identd.cpp: In function 'int gettok(const char*, char*, long unsigned int, char, int, bool)':
identd.cpp:744: error: invalid conversion from 'const char*' to 'char*'
make: *** [identd.o] Error 1
make: *** Waiting for unfinished jobs....
general.cpp: In function 'int gettok(const char*, char*, long unsigned int, char, int, bool)':
general.cpp:371: error: invalid conversion from 'const char*' to 'char*'
make[1]: *** [general.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make: *** [libs] Error 2


Reproducible: Always




sabayon server # emerge --info
Portage 2.2_rc33 (default/linux/amd64/2008.0/desktop, gcc-4.4.0, glibc-2.10.1-r0, 2.6.25-sabayon x86_64)
=================================================================
System uname: Linux-2.6.25-sabayon-x86_64-Intel-R-_Xeon-R-_CPU_X3220_@_2.40GHz-with-gentoo-2.0.1
Timestamp of tree: Mon, 29 Jun 2009 14:15:02 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 1.3.7-r1, 2.1.8-r1
dev-lang/python:     2.4.6, 2.5.4-r3, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r5
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a





lftpd/ftp-data /opt/openfire/resources/security/ /usr/kde/3.5/share/config/kdm /usr/lib64/fax /usr/share/config /usr/share/xbmc/userdata /var/bind /var/lib/h

d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext
tc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"


el-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
entoo http://mirror.switch.ch/ftp/mirror/gentoo/"

LC_ALL="en_US"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US af ar az bg bn br bs ca cs cy da de el en_GB eo es et eu fa fi fr fy ga gl he hi hr hu is it ja kk km ko lt lv mk mn ms nb nds nl nn pa pl
uz vi zh_CN zh_TW es_AR es_ES fy_NL ga_IE gu gu_IN nb_NO nn_NO pt_PT sv_SE zh"
MAKEOPTS="-s -j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --ex
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/enlightenment /usr/local/portage/layman/sabayon"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7Zip X a52 aac aalib accessibility acl acpi aiglx aim alsa amd64 artswrappersuid audiofile avahi bash-completion berkdb bidi bluetooth bzip2 cairo cdda
 crypt css cups dbox2 dbus dga dri dts dv dvb dvd dvdr dvdread dvi dxr3 emboss encode extramodules fam fame fat ffmpeg fftw firefox flac flash foomatic-db fo
 gpm gs gsm gstreamer gtk hal hfs iconv icq ieee1394 imap inotify ipod ipv6 irc irda isdnlog jabber jack jfs jingle joystick jpeg kde kdeenablefinal kdehidde
j lm_sensors logitech-mouse lzo mad mail midi mikmod mjpeg mmx mng mozdevelop mp3 mp3rtp mpeg msn mudflap multilib musepack musicbrainz ncurses network new-l
opengl openmp pam pcmcia pcre pda pdf perl png policykit povray ppds pppd pulseaudio python qt3support qt4 quicktime quotas rar rdesktop readline reflection
 sse sse2 ssl startup-notification stream svg sysfs tcpd theora tiff tracker truetype udev unicode usb v4l v4l2 visualization voice vorbis weather wifi wmf x
xv xvid xvmc yahoo zeroconf zlib" ALSA_CARDS="emu10k1x darla20 darla24 emu10k1 gina20 gina24 hdsp hdspm ice1712 indigo indigoio layla20 layla24 mia mixart mo
b-usx2y" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi nu
ctions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user a
e env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique
" CAMERAS="agfa_cl20 casio_qv dimagev dimera3500 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica_qm150 panasonic_coolshot panasonic_dc100
id_pdc640 polaroid_pdc700 ricoh_g3 sipix_blink sipix_blink2 sipix_web2 sony_dscf1 sony_dscf55 toshiba_pdrm11 adc65 aox barbie canon clicksmart310 digigr8 dig
m jd11 konica largan lg_gsm mars mustek pccam300 pccam600 ptp2 ricoh samsung sierra smal sonix soundvision spca50x sq905 stv0674 stv0680 sx330z template" ELI
NEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US af ar az bg bn br bs ca cs cy da de el en_G
km ko lt lv mk mn ms nb nds nl nn pa pl pt pt_BR ro ru rw se sk sl sr sr@Latn ss sv ta tg tr uk uz vi zh_CN zh_TW es_AR es_ES fy_NL ga_IE gu gu_IN nb_NO nn_N
 radeonhd"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Samuli Suominen gentoo-dev 2009-08-08 12:01:50 UTC
This is required by ezbounce which is pretty nice for ircing.

But as it doesn't build...
Comment 2 Víctor Ostorga (RETIRED) gentoo-dev 2009-08-08 18:54:49 UTC
Fixed in portage